Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1185606 - Review Request: php-sebastian-recursion-context - Recursively process PHP variables
Review Request: php-sebastian-recursion-context - Recursively process PHP var...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-25 02:29 EST by Remi Collet
Modified: 2015-02-13 21:55 EST (History)
2 users (show)

See Also:
Fixed In Version: php-sebastian-recursion-context-1.0.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-04 02:58:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2015-01-25 02:29:15 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/33c86fecadada735a3d67872819d8eba438b7fb3/php/phpunit/php-sebastian-recursion-context/php-sebastian-recursion-context.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-sebastian-recursion-context-1.0.0-1.remi.src.rpm
Description: 
Provides functionality to recursively process PHP variables.

Fedora Account System Username: remi


New dependency of php-phpunit-exporter, so of PHPUnit.
I usually, I will remove the EL-5 stuff after import.
Comment 1 Haïkel Guémar 2015-01-25 11:39:19 EST
I trust you for cleaning up the EL5-isms in your spec.

I hereby approved this package into Fedora Packages Collection as it complies
with our packaging guidelines. Please submit a SCM request.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1185606-php-sebastian-recursion-
     context/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/SebastianBergmann
     (php-phpunit-git, php-sebastian-global-state, php-phpunit-exporter, php-
     phpunit-Version, php-phpunit-environment, php-phpunit-diff, php-phpunit-
     FinderFacade, php-phpunit-PHPUnit-SkeletonGenerator)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 3.7.2 static analyze results in
          /home/haikel/1185606-php-sebastian-recursion-context/phpci.log


Rpmlint
-------
Checking: php-sebastian-recursion-context-1.0.0-1.fc22.noarch.rpm
          php-sebastian-recursion-context-1.0.0-1.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@zangetsu /]# rpmlint php-sebastian-recursion-context
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
]0;<mock-chroot><mock-chroot>[root@zangetsu /]# echo 'rpmlint-done:'



Requires
--------
php-sebastian-recursion-context (rpmlib, GLIBC filtered):
    php(language)
    php-hash
    php-spl



Provides
--------
php-sebastian-recursion-context:
    php-composer(sebastian/recursion-context)
    php-sebastian-recursion-context



Source checksums
----------------
https://github.com/sebastianbergmann/recursion-context/archive/3989662bbb30a29d20d9faa04a846af79b276252/recursion-context-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2d1477fcb9e873761ceaaff0926b7bf6afa46778569699255b31d97a137254f7
  CHECKSUM(SHA256) upstream package : 2d1477fcb9e873761ceaaff0926b7bf6afa46778569699255b31d97a137254f7


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1185606 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Remi Collet 2015-01-25 11:41:56 EST
Thanks for the review!!

New Package SCM Request
=======================
Package Name: php-sebastian-recursion-context
Short Description: Recursively process PHP variables
Upstream URL: https://github.com/sebastianbergmann/recursion-context
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:
Comment 3 Gwyn Ciesla 2015-01-25 16:48:37 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2015-01-26 01:44:10 EST
php-sebastian-recursion-context-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-sebastian-recursion-context-1.0.0-1.fc21
Comment 5 Fedora Update System 2015-01-26 01:44:17 EST
php-sebastian-recursion-context-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-sebastian-recursion-context-1.0.0-1.fc20
Comment 6 Fedora Update System 2015-01-26 01:44:32 EST
php-sebastian-recursion-context-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-sebastian-recursion-context-1.0.0-1.el6
Comment 7 Fedora Update System 2015-01-26 01:44:37 EST
php-sebastian-recursion-context-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-sebastian-recursion-context-1.0.0-1.el7
Comment 8 Fedora Update System 2015-01-26 15:10:20 EST
php-sebastian-recursion-context-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2015-02-04 02:58:51 EST
php-sebastian-recursion-context-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 10 Fedora Update System 2015-02-04 03:02:59 EST
php-sebastian-recursion-context-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 11 Fedora Update System 2015-02-13 21:41:01 EST
php-sebastian-recursion-context-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 12 Fedora Update System 2015-02-13 21:55:21 EST
php-sebastian-recursion-context-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.